MFClientBase.RiskMarketPosition (3.14.0 310 API)
Date: 2018-05-30

com.marketfactory.api

## Class MFClientBase.RiskMarketPosition

- java.lang.Object
- - com.marketfactory.api.MFClientBase.RiskUsage
  - - com.marketfactory.api.MFClientBase.RiskMarketPosition

- Enclosing class:
    MFClientBase

      public static class MFClientBase.RiskMarketPosition
      extends MFClientBase.RiskUsage

  Admin interface: Use this if interested in market position rather than RiskUsage's net open position. The amount is in units of base currency (X in X/Y) and should be negative when short. Note: feedID and settlDate are not used by default but may be set if desired.

- - ### Field Summary

    - ### Fields inherited from class com.marketfactory.api.MFClientBase.RiskUsage

      `boughtBase, boughtCounter, feedID, group, marketID, pendingBoughtBase, pendingSoldBase, settlDate, soldBase, soldCounter, syncTime`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `RiskMarketPosition(java.lang.String group, int marketID, MFDecimal position, long syncTime)`
    `protected` | `RiskMarketPosition(java.lang.String group, int marketID, MFDecimal boughtBase, MFDecimal soldBase)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MFDecimal` | `getPositionPotential()`
    `MFDecimal` | `getPositionRealized()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.marketfactory.api.MFClientBase.RiskUsage

      `setFeedID, setSettlDate, setSyncTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RiskMarketPosition

          protected RiskMarketPosition(java.lang.String group,
                                       int marketID,
                                       MFDecimal boughtBase,
                                       MFDecimal soldBase)

    - #### RiskMarketPosition

          public RiskMarketPosition(java.lang.String group,
                                    int marketID,
                                    MFDecimal position,
                                    long syncTime)

  - ### Method Detail

    - #### getPositionRealized

          public MFDecimal getPositionRealized()

    - #### getPositionPotential

          public MFDecimal getPositionPotential()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `MFClientBase.RiskUsage`